<div class="wizard" id="host-wizard">
	<h1>Host Creation Wizard</h1>
	<div class="wizard-card" data-cardname="wizard-introduction" id="wizard-introduction">
		<h2>Welcome to <img src="../modules/wizard/media/img/login.png" alt="op5 Monitor" style="vertical-align: bottom;"></h2>
		<h3 style="display: none;">Introduction</h3> <!-- Do not remove me, I am needed for TOC -->
		<div class="alert alert-error auth-error" style="display: none;">
			<h4 class="auth-error-heading"></h4>
			<p class="auth-error-text"></p>
		</div>
		<p>
			This wizard helps you get up to speed with your monitoring in a few quick and easy steps.<br>
			You just need to know two things about your device:
		</p>
		<ul>
			<li>What type of device it is (e.g. Microsoft Exchange server or Network Switch)</li>
			<li>The IP address or host name</li>
		</ul>
		<p>
			If the device type requires additional information you will be prompted to supply this.<br>
			If you have several devices of the same type you can add all these devices in one go.
		</p>
		<div class="control-group">
			<p>
				<label class="checkbox">
					<input type="checkbox" name="skip-intro" id="skip-intro" value="1"<?php echo $skip_intro === 1 ? 'checked="checked"' : null ?>> Skip this introduction in the future.
				</label>
				<small>You can reactivate the introduction by going back to this step and uncheck this option</small>
			</p>
			<p class="next-paragraph">Click the "Next" button to get started.</p>
		</div>
	</div>

	<div class="wizard-card" data-cardname="host-management-packs">
		<h3>Device Type</h3>
		<div class="alert alert-error auth-error mgmt-pack-error" style="display: none;">
			<h4 class="auth-error-heading mgmt-pack-error-heading"></h4>
			<p class="auth-error-text mgmt-pack-error-text"></p>
		</div>
		<div class="alert alert-error" id="mgmt-pack-errors" style="display: none;">

		</div>
		<p>
			Select one or more Management Packs that describe the hosts you wish to monitor.
		</p>
		<div class="wizard-input-section row-fluid span12" id="management-packs">
			<input type="hidden" name="hostgroups" id="hostgroups">

		</div>
	</div>
	<div class="wizard-card" data-cardname="host-detail" id="host-detail">
		<h3>Name &amp; Address</h3>
		<div class="alert alert-error auth-error" style="display: none;">
			<h4 class="auth-error-heading"></h4>
			<p class="auth-error-text"></p>
		</div>
		<div class="wizard-input-section row-fluid">
			<hr>
			<div class="control-group span4" style="vertical-align: bottom;">
				<p>
					Please enter the name you want to identify this host with. <br>
				</p>
				<input type="text" class="new-host-name" name="host_name" placeholder="Host name" data-validate="validateHostname" />&nbsp;<a href="#" title="Host Name" class="host-name-help" tabindex="-1"><img src="<?php echo ninja::add_path('icons/x16/help.png'); ?>"></a>
			</div>
			<div class="control-group span4" style="vertical-align: bottom;">
				<p>
					Please enter the address of your host. Either an IP address or a hostname can be used.
				</p>
				<input type="text" class="new-host-address" name="address" placeholder="Host address" data-validate="notEmpty" />&nbsp;<a href="#" title="Host Address" class="host-address-help" tabindex="-1"><img src="<?php echo ninja::add_path('icons/x16/help.png'); ?>"></a>
			</div>
			<div class="control-group span2" style="vertical-align: bottom;">
				<button type="button" class="btn btn-danger remove-host-form" style="display: none;">
					<i class="icon-minus icon-white"></i> Remove Host
				</button>
			</div>
		</div>
		<div class="row-fluid">
			<button type="button" class="btn btn-success" id="add-host-form">
				<i class="icon-plus icon-white"></i> Add Host
			</button>
		</div>
	</div>

	<div class="wizard-card" id="configuration-review" data-cardname="configuration-review">
		<h3>Save Configuration</h3>
		<div class="alert alert-error auth-error" style="display: none;">
			<h4 class="auth-error-heading"></h4>
			<p class="auth-error-text"></p>
		</div>
		<h4>You are nearly finished!</h4>
		<p>
			To start monitoring your hosts you just need to save the configuration.<br>
		</p>
		<h5>These are the hosts you have configured:</h5>
		<div class="hosts-name-address row">
		</div>
		<div class="configuration-saved row" id="configuration-saved-row" style="display: none;">
			<div class="alert alert-info" id="configuration-saved-alert">
				<img src="/monitor/application/media/images/loading_small.gif" id="configuration_load" class="submit-load"> Saving Configuration
			</div>
		</div>
		<div class="row">
			<div class="notification-review alert alert-info">
				<h5 class="notification-header">
					Tip! Make your servers notify if something is not working
				</h5>
				<p class="notification-text">
					After you have saved, your servers have been configured for monitoring. op5 Monitor supports advanced notification and alert configuration. To enable this, please use the Configuration menu.
				</p>
			</div>
		</div>
	</div>
</div>

<script type="text/javascript">
// Print user setting for skipping introduction script
var skip_intro = <?php echo $skip_intro; ?>;
</script>
